image: python:3.10
variables:
  PYTHONWARNINGS: ignore
  DOCKER_DRIVER: overlay2
stages:
  - lint
before_script:
  - pip install --upgrade pip wheel
  - pip install -r requirements.txt
  - ansible-galaxy install -f -r requirements.yml
build:
  stage: lint
  script:
    - ansible-lint --offline --force-color -c ansible-lint.yml
